@import "../../mixins.scss";

.client-360-container {
  height: 130%;
  display: flex;
  flex-direction: column;
  .client-table {
    background-color: var(--tile-bg);
    .infinite-list-component {
      height: calc(100% - 26px);
      .top-action {
        display: none;
      }
      .header {
        padding-right: 2px;
        border-bottom: 1px solid lightgray;
        .cell {
          padding: 2px 8px;
          align-items: center;
          font-weight: 550;
        }
      }
      .infinite-scroll-component {
        height: 100%;
        overflow: auto;
        .row-panel {
          .cell {
            font-size: var(--font-s);
          }
        }
        .row-panel.even {
          background: #fafafa;
        }
      }
    }
  }
  section.client-top-section {
    height: 65%;
    display: flex;
    .client-opp-activity-container {
      width: 20%;
      height: 100%;
      display: flex;
      flex-direction: column;
      margin-right: 10px;
      gap: 10px;
      .open-opp-chart-container {
        height: 250px;
        min-height: 250px;
        position: relative;
        .loader {
          position: absolute;
          left: auto;
          top: auto;
          z-index: 999;
          width: 100%;
          height: 200px;
          .opp-chart-loader {
            display: flex;
            justify-content: center;
            width: 100%;
            height: 100%;
            img {
              margin: auto;
            }
          }
        }

        .dashboard-graph-img {
          background: #ffffff;
          height: calc(100% - 26px);
        }
        .loading {
          opacity: 0.5;
          pointer-events: none;
        }
        .donut-inner {
          margin-top: -155px;
          text-align: center;
        }
        .donut-inner span {
          font-weight: 500;
          font-size: x-large;
        }
        .graph-heading {
          padding: 5px 0;
          display: flow-root;
          background: #ffffff;
          text-align: center;
          font-size: var(--font-xl);
          font-weight: 550;
          margin-bottom: 0;
        }
      }
      .client-left-table {
        height: calc((100% - 250px) / 2 - 10px);
        min-height: calc((100% - 250px) / 2 - 10px);
        .client-left-table-header {
          display: flex;
          align-items: center;
          padding: 6px 8px;
          position: relative;
          h3 {
            margin: 0;
            font-size: var(--font-m);
            font-weight: 550;
          }
          .add-activity-btn {
            font-size: 24px;
            position: absolute;
            font-weight: bold;
            right: 5px;
            cursor: pointer;
          }
        }
        .infinite-list-component {
          .cell.activity-desc {
            min-width: 73%;
          }
          .cell.opp-name-trunc {
            @include text_one_line;
          }
          .infinite-scroll-component {
            .row-panel {
              .activity-assigned {
                text-transform: uppercase;
                text-align: center;
              }
            }
            .cell.activity-cell-wrap {
              padding: 0;
            }
            .activity-internal-cell {
              padding: 8px;
              cursor: pointer;
              @include text-one-line;
            }
          }
        }
      }
    }
    .client-main-section-container {
      width: 80%;
      height: 100%;
      background: var(--tile-bg);
      .horizontal-tabs-container {
        .horizontal-tabs {
          font-weight: 600;
          .tab-link {
            padding: 10px 20px;
          }
        }
      }

      .sow-listing,
      .notes-listing,
      .agreement-listing,
      .inventory-management {
        height: calc(100% - 42px);
        .table-container {
          height: 100%;
          .table-container__table {
            height: calc(100% - 65px);
            .ReactTable {
              max-height: 100%;
              .rt-table {
                height: 100%;
                .rt-tbody {
                  overflow: auto;
                  @include small_scroll();
                }
              }
            }
          }
        }
        .inventory-management__table-top {
          padding-top: 16px;
          padding-bottom: 16px;
        }
      }

      .purchase-history {
        height: calc(100% - 42px); // Removing horizontal nav height
        .purchase-list {
          height: calc(100% - 64px); // Removing top search bar height
          .purchase-history-title,
          .purchase-history-title.asc-order,
          .purchase-history-title.desc-order {
            align-items: center;
            margin: auto 0 !important;
          }
          #purchaseHistoryList {
            height: calc(100% - 62px) !important; // Removing list header height
          }
        }
      }
    }
  }
  section.client-bottom-section {
    height: 35%;
    width: 100%;
    display: flex;
    flex-direction: column;
    #client-bottom-heading {
      font-weight: bold;
      font-size: var(--font-xxl);
      text-align: center;
      width: 100%;
      border-bottom: 2px solid lightgray;
      padding: 10px 0 8px;
      margin-bottom: 5px;
    }
    .client-bottom-row {
      display: flex;
      gap: 8px;
      height: calc(100% - 42px);
      h3.client-bottom-subheading {
        font-weight: 550;
        margin-bottom: 8px;
        font-size: var(--font-xl);
        text-align: center;
      }
      .client-bottom-table {
        // Remove height of header (Managed Ticket and Open Orders)
        height: calc(100% - 25px);
        min-height: calc(100% - 25px);
        .infinite-list-component {
          height: 100%;
        }
        .cell.customer-po-width {
          max-width: 125px;
        }
        .cell.ticket-no-width {
          max-width: 90px;
        }
      }
      .active-projects-outer-div {
        width: 25%;
        height: 100%;
        display: flex;
        flex-direction: column;

        .project-list {
          height: calc(100% - 25px); // Remove heading height
          background: white;
          position: relative;
          .pmo-review-spinner {
            position: absolute;
            top: 15px;
          }
          .project-list-table {
            margin-top: 5px;
            padding: 0 10px;
          }
        }
        .header-dashboard {
          display: flex;
          margin-bottom: 5px;
          .project-name {
            min-width: 170px;
            font-weight: 600;
            font-size: var(--font-xs);
            cursor: pointer;
            justify-content: center;
            gap: 5px;
          }
          .pm {
            cursor: pointer;
            font-weight: 600;
            font-size: var(--font-xs);
            min-width: 32px;
          }
          .status {
            font-size: var(--font-xs);
            font-weight: 600;
            margin-left: 5px;
            display: flex;
            cursor: pointer;
            justify-content: center;
          }
        }
        .row-panel-dashboard {
          display: flex;
          margin: 0 0 8px 0;
          .project-details {
            cursor: pointer;
            display: flex;
          }
          .project-name {
            display: flex;
            border-left: 5px solid #ccc;
            margin: 0 0 0 0px;
            padding: 0 0 0 5px;
            height: 40px;
            background: #cccccc45;
            line-height: 30px;
            flex-direction: column;
            .name-bold {
              font-weight: 600;
            }
          }
          .color-preview-dashboard {
            padding: 0;
            line-height: 2.5;
            font-weight: 600;
            display: flex;
            flex-direction: row;
            margin-left: 5px;
            height: 40px;
            .left-column {
              width: 5px;
            }
            .text {
              width: 100%;
              padding: 0 10px !important;
              white-space: nowrap;
              overflow: hidden;
              text-overflow: ellipsis;
              font-size: var(--font-m);
              place-content: flex-start;
              line-height: 3;
            }
          }
        }

        .project-name {
          display: flex;
          justify-content: space-around;
          cursor: pointer;
          .ellipsis-text {
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            width: 150px;
            text-align: left;
          }
        }
        .status {
          width: 100%;
          min-width: 8vw;
          text-align: center;
          font-size: var(--font-m);
          font-stretch: normal;
          font-style: normal;
          letter-spacing: normal;
          text-align: left;
        }
        .manager {
          display: flex;
          margin: 0 !important;
          padding: 27px 0 0 5px;
          height: 40px !important;
          background: #cccccc45;
        }
        .user-image-component {
          display: flex;
          height: var(--input-height);
          margin: 2px 0 -7px -7px;
          line-height: 3.5;
          text-align: center;
          padding: 5px 0 5px 5px;
          .pm-image-circle {
            width: 30px;
            height: 30px;
            display: inline-block;
            border-radius: 50%;
            background-repeat: no-repeat;
            background-position: center center;
            background-size: cover;
            border: 1px solid #ccc;
            margin: 0px 5px 0 0;
          }
        }
        .load-more {
          border: 1px solid #ccc;
          display: flex;
          padding: 10px;
          justify-content: center;
          margin: 40px;
          cursor: pointer;
          &:hover {
            color: blue;
            text-decoration: underline;
          }
        }
      }
      .managed-tickets-outer-div {
        width: 30%;
        height: 100%;
      }
      .open-orders-outer-div {
        width: 45%;
        height: 100%;
      }
    }
  }
  .loading-data {
    opacity: 0.5;
    pointer-events: none;
    text-align: center;
    font-size: var(--font-xl);
    margin: 25%;
  }
  #OpenOrders,
  #scrollableDiv,
  #OpenActivities,
  #WonOpportunity,
  #ManagedTickets {
    @include small_scroll();
  }
}

.edit-sales-activity-modal {
  .modal-dialog {
    width: auto;
  }
  .sales-activity-edit-container {
    display: flex;
    width: 100%;
    .edit-sa-left-section {
      width: 65%;
      display: flex;
      flex-direction: column;
      .field-section {
        padding-left: 0;
      }
      .field-section.disabled {
        margin-bottom: 17px;
      }
      .priority-input,
      .customer-contact-input,
      .customer-input {
        width: 350px;
      }
      .add-new-option-sow-sales-activity {
        margin-top: 15px;
        margin-left: 0px;
        min-width: 20px !important;
        height: var(--input-height);
        font-size: 30px !important;
        line-height: 0 !important;
        text-overflow: unset !important;
      }
    }

    .edit-sa-right-section {
      display: flex;
      flex-direction: column;
      width: 35%;
      .due-date-input {
        width: 200px;
      }

      .header-label {
        padding-bottom: 15px;
      }

      .details-box {
        display: flex;
        flex-direction: column;
        padding: 10px 20px;
        .label-details {
          text-align: left;
          color: #4e585c;
          font-size: var(--font-xs);
          margin-bottom: 6px;
        }
        .label-content {
          display: flex;
          flex-direction: row;
          justify-content: space-between;
          font-size: var(--font-m);
          font-weight: 600;
          font-style: normal;
          line-height: 1.29;
          text-align: left;
          color: #00455f;
        }
      }

      .activity-type-option {
        padding-bottom: 5px;

        .checkbox__input {
          width: 20px;
          height: 25px;
          margin: 0;
          margin-top: 0;
        }

        .checkbox__content {
          margin-top: 0;
          font-size: var(--font-l);
        }
      }
    }
  }
}

.client-360-loader {
  position: fixed;
  top: 50%;
}

.configure-client-setting {
  height: 100%;
  h2 {
    font-size: var(--font-xxxxl);
  }
}
